Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class ConfiguracionCalificacionDbHelper
    Inherits DbHelper(Of ConfiguracionCalificacion,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListConfiguracionCalificacionByConfiguracionEvaluacion(ByVal idConfiguracionEvaluacion as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of ConfiguracionCalificacion)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idConfiguracionEvaluacion = idConfiguracionEvaluacion
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
